package aliyun.demo.illegal;

/**
 * ѯΥ
 */
import java.util.HashMap;
import java.util.Map;

import org.apache.http.HttpResponse;
import org.apache.http.util.EntityUtils;

import aliyun.util.HttpUtils;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

public class QueryDemo {
	public final static String host = "http://jisuqgclwz.market.alicloudapi.com";
	public static final String carorg = "anhui";
	public static final String engineno = "";
	public static final String frameno = "";
	public static final String iscity = "";
	public static final String lsnum = "B91801";
	public static final String lsprefix = "";
	public static final String lstype = "02";

	public static void main(String[] args) throws Exception {
		String path = "/illegal/query";
		Map<String, String> headers = new HashMap<String, String>();
		headers.put("Authorization", "APPCODE ԼAppCode");

		// query
		Map<String, String> querys = new HashMap<String, String>();
		querys.put("carorg", carorg);
		querys.put("engineno", engineno);
		querys.put("frameno", frameno);
		querys.put("iscity", iscity);
		querys.put("lsnum", lsnum);
		querys.put("lsprefix", lsprefix);
		querys.put("lstype", lstype);
		try {
			HttpResponse response = HttpUtils.doGet(host, path, "GET", headers, querys);
			// response Head
			// System.out.println(response.toString());
			String result = EntityUtils.toString(response.getEntity());
			JSONObject json = JSONObject.fromObject(result);
			if (json.getInt("status") != 0) {
				System.out.println(json.getString("msg"));
			} else {
				JSONObject resultarr = json.optJSONObject("result");
				if (resultarr != null) {
					String lsprefix = resultarr.getString("lsprefix");
					String lsnum = resultarr.getString("lsnum");
					String carorg = resultarr.getString("carorg");
					String usercarid = resultarr.getString("usercarid");
					System.out.println(lsprefix + " " + lsnum + " " + carorg + " " + usercarid);
					if (resultarr.opt("list") != null) {
						JSONArray list = resultarr.optJSONArray("list");
						for (int j = 0; j < list.size(); j++) {
							JSONObject list_obj = (JSONObject) list.opt(j);
							if (list_obj != null) {
								String time = list_obj.getString("time");
								String address = list_obj.getString("address");
								String content = list_obj.getString("content");
								String legalnum = list_obj.getString("legalnum");
								String price = list_obj.getString("price");
								String id = list_obj.getString("id");
								String score = list_obj.getString("score");
								System.out.println(time + " " + address + " " + content + " " + legalnum + " " + price
										+ " " + id + " " + score);
							}
						}
					}
				} else {
					System.out.println("ϲûΥ£");
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
