package aliyun.demo.illegal;

/**
 * ȡܾ
 */
import java.util.HashMap;
import java.util.Map;

import org.apache.http.HttpResponse;
import org.apache.http.util.EntityUtils;

import aliyun.util.HttpUtils;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

public class CarorgDemo {
	public final static String host = "http://jisuqgclwz.market.alicloudapi.com";
	public static final String onlysupport = "0";

	public static void main(String[] args) throws Exception {
		String path = "/illegal/carorg";
		Map<String, String> headers = new HashMap<String, String>();
		headers.put("Authorization", "APPCODE ԼAppCode");

		// query
		Map<String, String> querys = new HashMap<String, String>();
		querys.put("onlysupport", onlysupport);
		try {
			HttpResponse response = HttpUtils.doGet(host, path, "GET", headers, querys);
			// response Head
			// System.out.println(response.toString());
			String result = EntityUtils.toString(response.getEntity());
			JSONObject json = JSONObject.fromObject(result);
			if (json.getInt("status") != 0) {
				System.out.println(json.getString("msg"));
			} else {
				JSONObject resultarr = json.optJSONObject("result");
				JSONArray data = resultarr.optJSONArray("data");
				for (int i = 0; i < data.size(); i++) {
					JSONObject obj = (JSONObject) data.opt(i);
					String province = obj.getString("province");
					String lsprefix = obj.getString("lsprefix");
					String lsnum = obj.getString("lsnum");
					String carorg = obj.getString("carorg");
					String frameno = obj.getString("frameno");
					String engineno = obj.getString("engineno");
					System.out.println(
							province + " " + lsprefix + " " + lsnum + " " + carorg + " " + frameno + " " + engineno);
					if (obj.opt("list") != null) {
						JSONArray list = obj.optJSONArray("list");
						for (int j = 0; j < list.size(); j++) {
							JSONObject list_obj = (JSONObject) list.opt(j);
							String city = list_obj.getString("city");
							String lsprefix1 = list_obj.getString("lsprefix");
							String lsnum1 = list_obj.getString("lsnum");
							String carorg1 = "";
							if (list_obj.opt("carorg") != null) {
								carorg1 = list_obj.getString("carorg");
							}
							String frameno1 = "";
							if (list_obj.opt("frameno") != null) {
								frameno1 = list_obj.getString("frameno");
							}
							String engineno1 = "";
							if (list_obj.opt("engineno") != null) {
								engineno1 = list_obj.getString("engineno");
							}
							System.out.println(city + " " + lsprefix1 + " " + lsnum1 + " " + carorg1 + " " + frameno1
									+ " " + engineno1);
						}
					}
					System.out.println();
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
